Package twisted :: Package internet :: Module utils :: Class SRVConnector

[frames | no frames]

## Class SRVConnector

A connector that looks up DNS SRV records. See RFC2782.

Method Summary
| `__init__(self, reactor, service, domain, factory, protocol, connectFuncName, connectFuncArgs, connectFuncKwArgs)`
| `_cbGotServers(self, (answers, auth, add))`
| `_reallyConnect(self)`
| `_serverCmp(self, a, b)`
| ``connect`(self)` Start connection to remote server.
| `connectionFailed(self, reason)`
| `connectionLost(self, reason)`
| ``disconnect`(self)` Disconnect whatever our are state is.
| `getDestination(self)`
| `pickServer(self)`
| ``stopConnecting`(self)` Stop attempting to connect.

Class Variable Summary
`class` | `__implements__` = `twisted.internet.interfaces.IConnector`
`int` | `stopAfterDNS` = 0

Method Details

### connect(self)

Start connection to remote server.

### disconnect(self)

Disconnect whatever our are state is.

### stopConnecting(self)

Stop attempting to connect.

Class Variable Details

### stopAfterDNS

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:37 2004 | http://epydoc.sf.net